Bug 1860772 - Review Request: wev - a tool for debugging events on a Wayland window, analagous to the X11 tool xev
Summary: Review Request: wev - a tool for debugging events on a Wayland window, analag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Artur Frenszek-Iwicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-27 05:55 UTC by Bob Hepple
Modified: 2020-08-10 01:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 01:03:52 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)

Description Bob Hepple 2020-07-27 05:55:42 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/wef/wev/fedora-31-x86_64/01576358-wev/wev.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wev/fedora-31-x86_64/01576358-wev/wev-1.0.1-0.20200727git0be512f.fc31.src.rpm

Description: a tool for debugging events on a Wayland window, analagous to the X11 tool xev

Fedora Account System Username: wef

Comment 1 Aleksei Bavshin 2020-07-28 20:02:42 UTC
> # SCM has no api to get a tarball for a given commit, so this was downloaded and tar'd manually:
> Source0: %{name}-%{commit}.tar.gz

Source0: %{url}/archive/%{commit}.tar.gz#/%{name}-%{commit}.tar.gz

I tried to package wev before, but didn't bother to submit because it doesn't support Gnome/KDE/Weston. It's somewhere near the bottom of my backlog to relax protocol requirements to support most common wayland compositors and send patch to Drew.
Anyways, https://download.copr.fedorainfracloud.org/results/alebastr/sway-extras/fedora-rawhide-x86_64/01326598-wev/wev.spec should be compliant to guidelines so feel free to reuse anything.

Comment 2 Bob Hepple 2020-07-29 00:07:47 UTC
Hi Aleksei,

Thanks for the link... that source0 line works fine!! Dunno how many combinations I tried but I couldn't get it to work.

I also changed the Summary/Description to specify 'sway'.


Spec URL: https://download.copr.fedorainfracloud.org/results/wef/wev/fedora-31-x86_64/01581351-wev/wev.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wev/fedora-31-x86_64/01581351-wev/wev-1.0.1-0.20200728git0be512f.fc31.src.rpm

Comment 3 Artur Frenszek-Iwicki 2020-07-29 11:28:57 UTC
>%description
>a tool for debugging events on a Wayland window, analagous to the X11 tool xev.
Start this with A Capital Letter, please.

>%build
>make
Use %make_build here. Also, you'll probably need to invoke the %set_build_flags macro before building so that Fedora's CFLAGS are honored.

>%install
>make install PREFIX=%{buildroot}/%{_prefix}
Use %make_install here.

>%doc README.md
>%{_mandir}/man1/%{name}.1.*
The wildcard for man pages should be able to match non-compressed pages, too. (i.e. change "1.*" to simply "1*").

Comment 6 Artur Frenszek-Iwicki 2020-07-30 11:33:14 UTC
Looks good to me. Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: wev-1.0.1-0.20200730git0be512f.fc33.x86_64.rpm
          wev-debuginfo-1.0.1-0.20200730git0be512f.fc33.x86_64.rpm
          wev-debugsource-1.0.1-0.20200730git0be512f.fc33.x86_64.rpm
          wev-1.0.1-0.20200730git0be512f.fc33.src.rpm
wev.x86_64: W: spelling-error %description -l en_US xev -> vex, xv, xiv
wev.src: W: spelling-error %description -l en_US xev -> vex, xv, xiv
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wev-debuginfo-1.0.1-0.20200730git0be512f.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
(none): E: no installed packages by name wev
(none): E: no installed packages by name wev-debugsource
(none): E: no installed packages by name wev-debuginfo
0 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
https://git.sr.ht/~sircmpwn/wev/archive/0be512fb705831b55020e1eaf86eedba0eae4a75.tar.gz#/wev-0be512fb705831b55020e1eaf86eedba0eae4a75.tar.gz :
  CHECKSUM(SHA256) this package     : 247458c8b47c767bafde9ad51e33003cf17564dffabe62fefa25f51aa6400929
  CHECKSUM(SHA256) upstream package : 247458c8b47c767bafde9ad51e33003cf17564dffabe62fefa25f51aa6400929


Requires
--------
wev (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    librt.so.1()(64bit)
    libwayland-client.so.0()(64bit)
    libxkbcommon.so.0()(64bit)
    libxkbcommon.so.0(V_0.5.0)(64bit)
    rtld(GNU_HASH)

wev-debuginfo (rpmlib, GLIBC filtered):

wev-debugsource (rpmlib, GLIBC filtered):



Provides
--------
wev:
    wev
    wev(x86-64)

wev-debuginfo:
    debuginfo(build-id)
    wev-debuginfo
    wev-debuginfo(x86-64)

wev-debugsource:
    wev-debugsource
    wev-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -n wev
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: PHP, Python, SugarActivity, Haskell, fonts, R, Perl, Java, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 Gwyn Ciesla 2020-07-30 21:18:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wev

Comment 8 Fedora Update System 2020-08-01 08:52:23 UTC
FEDORA-2020-d8be4cc12a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d8be4cc12a

Comment 9 Fedora Update System 2020-08-01 09:01:33 UTC
FEDORA-2020-58d161dddf has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-58d161dddf

Comment 10 Fedora Update System 2020-08-02 01:42:10 UTC
FEDORA-2020-58d161dddf has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-58d161dddf \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-58d161dddf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-08-02 02:01:19 UTC
FEDORA-2020-d8be4cc12a has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-d8be4cc12a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d8be4cc12a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-08-10 01:03:52 UTC
FEDORA-2020-d8be4cc12a has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-08-10 01:14:05 UTC
FEDORA-2020-58d161dddf has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.